CREATE OR REPLACE PROCEDURE sp_fco_baja_autorizaciones_det
(
    i_compania        char,
    i_autorizacion    number,
    i_trabajador      char
)
AS
BEGIN

	IF i_trabajador Is Null Or i_trabajador = '0' THEN
      DELETE fco_autorizaciones_det
      WHERE compania = i_compania And
      autorizacion = i_autorizacion;
	ELSE
      DELETE fco_autorizaciones_det
      WHERE compania = i_compania And
      autorizacion = i_autorizacion And
      trabajador = i_trabajador;
	END IF;
	COMMIT WORK;
END;
/

CREATE PUBLIC SYNONYM sp_fco_baja_autorizaciones_det FOR ADAM.sp_fco_baja_autorizaciones_det;
GRANT EXECUTE ON sp_fco_baja_autorizaciones_det TO adama;

